###--- >>> `integrate' <<<----- Integration of One-Dimensional Functions

	## alias	 help(integrate)
	## alias	 help(print.integrate)

##___ Examples ___:

integrate(dnorm, -1.96, 1.96)
integrate(dnorm, -Inf, Inf)

 ii <- integrate(dnorm, -1.96, 1.96); ii
 i1 <- integrate(dnorm, -Inf, Inf)  ; i1
 stopifnot(all.equal(0.9500042097, ii$val, tol = ii$abs.err, scale=1),
           all.equal( 1,           i1$val, tol = i1$abs.err, scale=1))


## a slowly-convergent integral
integrand <- function(x) {1/((x+1)*sqrt(x))}
integrate(integrand, lower = 0, upper = Inf)

  ii <- integrate(integrand, lower = 0, upper = Inf, rel.tol = 1e-10)
  ii
  stopifnot(all.equal(pi, ii$val, tol = ii$abs.err, scale=1))

## don't do this if you really want the integral from 0 to Inf
integrate(integrand, lower = 0, upper = 10)
integrate(integrand, lower = 0, upper = 100000)  
integrate(integrand, lower = 0, upper = 1000000, stop.on.error = FALSE)

try(integrate(function(x) 2, 0, 1))  ## no vectorizable function
integrate(function(x) rep(2, length(x)), 0, 1)  ## correct

## integrate can fail if misused
integrate(dnorm,0,2)
integrate(dnorm,0,20)
integrate(dnorm,0,200)
integrate(dnorm,0,2000)
integrate(dnorm,0,20000) ## fails on many systems
integrate(dnorm,0,Inf)   ## works


## Keywords: 'math', 'utilities'.


