###--- >>> `setOldClass' <<<----- Specify Names for Old-Style Classes

	## alias	 help(setOldClass)
	## alias	 help(POSIXct-class)
	## alias	 help(POSIXt-class)
	## alias	 help(anova-class)
	## alias	 help(anova.glm-class)
	## alias	 help(anova.glm.null-class)
	## alias	 help(data.frame-class)
	## alias	 help(density-class)
	## alias	 help(dump.frames-class)
	## alias	 help(factor-class)
	## alias	 help(formula-class)
	## alias	 help(glm-class)
	## alias	 help(glm.null-class)
	## alias	 help(hsearch-class)
	## alias	 help(integrate-class)
	## alias	 help(libraryIQR-class)
	## alias	 help(lm-class)
	## alias	 help(logLik-class)
	## alias	 help(mlm-class)
	## alias	 help(mtable-class)
	## alias	 help(mts-class)
	## alias	 help(ordered-class)
	## alias	 help(packageIQR-class)
	## alias	 help(packageInfo-class)
	## alias	 help(recordedplot-class)
	## alias	 help(rle-class)
	## alias	 help(socket-class)
	## alias	 help(summary.table-class)
	## alias	 help(oldClass-class)
	## alias	 help(.OldClassesList)
	## alias	 help(table-class)

##___ Examples ___:

setOldClass(c("mlm", "lm"))
setGeneric("dfResidual", function(model)standardGeneric("dfResidual"))
setMethod("dfResidual", "lm", function(model)model$df.residual)

## dfResidual will work on mlm objects as well as lm objects
myData <- data.frame(time = 1:10, y = (1:10)^.5)
myLm <- lm(cbind(y, y^3)  ~ time, myData)

stopifnot(identical(dfResidual(myLm), myLm$df.residual))

rm(myData, myLm)
removeGeneric("dfResidual")
removeClass("mlm")
removeClass("lm")

## Keywords: 'programming', 'methods'.


